com.io7m.jcanephora.core

## Class JCGLBufferUpdate<T extends JCGLBufferWritableType>

- java.lang.Object
- - com.io7m.jcanephora.core.JCGLBufferUpdate<T>

- Type Parameters:
    `T` - The type of buffer
  All Implemented Interfaces:
    JCGLBufferUpdateType<T>, JCGLDataUpdateType<T>

      @Generated(value={"Immutables.generator","JCGLBufferUpdateType<T>"})
      public final class JCGLBufferUpdate<T extends JCGLBufferWritableType>
      extends Object
      implements JCGLBufferUpdateType<T>

  An update that will replace data in a buffer.
  See Also:
    `JCGLBufferUpdates`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JCGLBufferUpdate.Builder<T extends JCGLBufferWritableType>` Builds instances of type `JCGLBufferUpdate`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `buffer()`
    `static <T extends JCGLBufferWritableType> JCGLBufferUpdate.Builder<T>` | `builder()` Creates a builder for `JCGLBufferUpdate`.
    `ByteBuffer` | `data()`
    `com.io7m.junsigned.ranges.UnsignedRangeInclusiveL` | `dataUpdateRange()`
    `boolean` | `equals(Object another)` This instance is equal to all instances of `JCGLBufferUpdate` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `buffer`, `data`, `dataUpdateRange`.
    `static <T extends JCGLBufferWritableType> JCGLBufferUpdate<T>` | `of(T buffer, ByteBuffer data, com.io7m.junsigned.ranges.UnsignedRangeInclusiveL dataUpdateRange)` Construct a new immutable `JCGLBufferUpdate` instance.
    `String` | `toString()` Prints the immutable value `JCGLBufferUpdate` with attribute values.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### buffer

          public T buffer()

      Specified by:
        `buffer` in interface `JCGLBufferUpdateType<T extends JCGLBufferWritableType>`
      Returns:
        The buffer that will be updated

    - #### data

          public ByteBuffer data()

      Specified by:
        `data` in interface `JCGLBufferUpdateType<T extends JCGLBufferWritableType>`
      Specified by:
        `data` in interface `JCGLDataUpdateType<T extends JCGLBufferWritableType>`
      Returns:
        The value of the `data` attribute

    - #### dataUpdateRange

          public com.io7m.junsigned.ranges.UnsignedRangeInclusiveL dataUpdateRange()

      Specified by:
        `dataUpdateRange` in interface `JCGLBufferUpdateType<T extends JCGLBufferWritableType>`
      Specified by:
        `dataUpdateRange` in interface `JCGLDataUpdateType<T extends JCGLBufferWritableType>`
      Returns:
        The value of the `dataUpdateRange` attribute

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `JCGLBufferUpdate` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `buffer`, `data`, `dataUpdateRange`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `JCGLBufferUpdate` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static <T extends JCGLBufferWritableType> JCGLBufferUpdate<T> of(T buffer,
                                                                                  ByteBuffer data,
                                                                                  com.io7m.junsigned.ranges.UnsignedRangeInclusiveL dataUpdateRange)

      Construct a new immutable `JCGLBufferUpdate` instance.
      Parameters:
        `buffer` - The value for the `buffer` attribute
        `data` - The value for the `data` attribute
        `dataUpdateRange` - The value for the `dataUpdateRange` attribute
      Returns:
        An immutable JCGLBufferUpdate instance

    - #### builder

          public static <T extends JCGLBufferWritableType> JCGLBufferUpdate.Builder<T> builder()

      Creates a builder for `JCGLBufferUpdate`.
      Type Parameters:
        `T` - generic parameter T
      Returns:
        A new JCGLBufferUpdate builder

Copyright © 2017 <code@io7m.com> http://io7m.com